Bug 469286 - screen inside para outputs invalid XHTML
screen inside para outputs invalid XHTML
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-30 23:26 EDT by Jeff Fearn
Modified: 2010-11-23 22:58 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.39
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-03 01:36:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Fearn 2008-10-30 23:26:21 EDT
Description of problem:
All publican output should be XHTML 1.0 strict compliant.

Nesting a screen in a para, which is legal DocBook, outputs invalid XHTML.

Version-Release number of selected component (if applicable):
0.38

How reproducible:
Always

Steps to Reproduce:
1. Nest a screen in a para
2. make html-single-en-US
3. xmllint --valid --noout tmp/en-US/html-single/index.html
  
Actual results:
index.html:226: element p: validity error : Element pre is not declared in p list of possible children

Expected results:
no errors

Additional info:
In XHTML p is only permitted to include inline items. In DocBook para is permitted to contain block level tags. Consider switching p output to <div class="para"> as div is allowed to contain block level elements.

Consider running xmllint over Users_Guide when building publican-docs package.

It would be neat to have a big book of DocBook examples that we could use to test all possible combinations of DocBook tags.
Comment 1 Jeff Fearn 2008-11-03 01:36:09 EST
Changed para and simpara to output as div, modified CSS to display correctly.

validated XHTML output of Publican User Guide.
Comment 2 Fedora Update System 2008-12-01 00:39:44 EST
publican-0.39-0.fc9,publican-fedora-0.16-0.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/publican-0.39-0.fc9,publican-fedora-0.16-0.fc9
Comment 3 Fedora Update System 2009-01-14 21:56:24 EST
publican-0.39-0.fc9, publican-fedora-0.16-0.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.